DRM_CALC_TIMESTAMPIN(9)

NAME
drm_calc_timestamping_constants - calculate vblank timestamp constants

SYNOPSIS

void drm_calc_timestamping_constants(struct drm_crtc * crtc, const struct drm_display_mode * mode);

ARGUMENTS

crtc
    drm_crtc whose timestamp constants should be updated.

mode
    display mode containing the scanout timings

DESCRIPTION

Calculate and store various constants which are later needed by vblank and swap-completion timestamping, e.g, by drm_calc_vbltimestamp_from_scanoutpos. They are derived from CRTC's true scanout timing, so they take things like panel scaling or other adjustments into account.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT